## clonezilla-live-src-20140609-trusty-amd64.ubuntu.tar.gz

=== tests/Makefile ===
# Makefile.in generated by automake 1.14 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/partclone
pkgincludedir = $(includedir)/partclone
pkglibdir = $(libdir)/partclone
pkglibexecdir = $(libexecdir)/partclone
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
#am__append_1 = ext2.test \
#	ext3.test ext4.test
#am__append_2 = btrfs.test
#am__append_3 = fat.test
#am__append_4 = reiserfs.test

#if ENABLE_REISER4
#TESTS += reiser4.test
#endif
#am__append_5 = hfsplus.test
#am__append_6 = xfs.test
#am__append_7 = exfat.test
#am__append_8 = ntfs.test

#if ENABLE_UFS
#TESTS += ufs.test
#endif

#if ENABLE_VMFS
#TESTS += vmfs.test
#endif
#am__append_9 = jfs.test
#am__append_10 = btrfs.test
#am__append_11 = exfat.test
#am__append_12 = ncursesw.test
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/test-driver TODO
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS =  .test
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
	$(TEST_LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.14
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s

=== changelog ===
samba (2:4.1.6+dfsg-1ubuntu2.14.04.1) trusty-proposed; urgency=medium

  * cherrypick upstream patch 1310919 to fix pam_winbind regression
    (LP: #1310919)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 29 Apr 2014 16:05:44 -0500

samba (2:4.1.6+dfsg-1ubuntu2) trusty; urgency=medium

  * Fix a grammatical error in smb.conf that showed up in a ucf prompt on
    upgrade.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Apr 2014 19:08:03 -0700

samba (2:4.1.6+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + debian/VERSION.patch: Update vendor string to "Ubuntu".
    +  debian/smb.conf;
       - Add "(Samba, Ubuntu)" to server string.
       - Comment out the default [homes] share, and add a comment about "valid users = %s"
         to show users how to restrict access to \\server\username to only username.
    + debian/samba-common.config:
      - Do not change prioritiy to high if dhclient3 is installed.
    + debian/control:
      - Don't build against or suggest ctdb and tdb.
    + debian/rules:
      - Drop explicit configuration options for ctdb and tdb.
    + Add ufw integration:
      - Created debian/samba.ufw.profile:
      - debian/rules, debian/samba.install: install profile
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debia/samb-common-bin.install: install hook.
    + debian/samba.logrotate: call upstart interfaces unconditionally instead
      of hacking arround with pid files.
    + Set sbmclients conflicts with samba4-clients less than 4.0.3+dfsg1-0.1ubuntu4, 
      first dummy transitional package version.
    + Dropped patches:
      - debian/patches/CVE-2013-4496.patch: Dropped no longer needed
      - debian/patches/CVE-2013-6442.patch: Dropped no longer needed.
      - debian/patches/readline-ftbfs.patch: Use the debian version.
    + debian/samba-common.dirs: Move /var/lib/samba/private from samba.dirs.
      (LP: #1268180)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 Apr 2014 13:40:30 -0400

samba (2:4.1.6+dfsg-1) unstable; urgency=high

  * New upstream security release. Fixes:
    - CVE-2013-4496: password lockout not enforced for SAMR password changes
    - CVE-2013-6442: smbcacls can remove a file or directory ACL by mistake
  * Backport fix for readline 6.3 from master

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 15 Mar 2014 12:13:59 +0100

samba (2:4.1.5+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Fix watch file.

  [ Ivo De Decker ]
  * New upstream release.
  * Remove the part of patch 26_heimdal_compat integrated upstream.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 22 Feb 2014 23:17:59 +0100

samba (2:4.1.4+dfsg-3) unstable; urgency=medium

  * Move samba.dckeytab module to samba package, as it relies on hdb.
    Closes: #736405, #736430

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 24 Jan 2014 23:35:14 +0000

samba (2:4.1.4+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Depend on newer version of ctdb, as Samba won't build against older
    versions without --enable-old-ctdb.
  * Bump standards version to 3.9.5 (no changes).
  * Move libpac, db_glue and hdb module from samba-libs to samba package
    to reduce size and dependency set of libs package.
  * Fix compatibility with newer versions of the Heimdal HDB API.
    + Update 26_heimdal_compat: Fix initialization of HDB plugin. Thanks Jeff
      Clark. Closes: #732342
    + Add dependency on specific version of the Heimdal HDB API.
      Closes: #732344

  [ Steve Langasek ]
  * dhcp3-client is superseded by dhcp-client; update the references in
    the package.  Closes: #736070.
  * Move the dhcp client hook from /etc/dhcp3 to /etc/dhcp.
    Closes: #649100.
  * debian/bin/xsltproc: don't use $FAKETIME as the variable name in our
    wrapper script, this seems to make faketime unhappy.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jan 2014 20:26:35 +0000

samba (2:4.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update version of talloc build-deps to 2.0.8.
  * python-samba: add depends on python-ntdb.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 18 Jan 2014 14:07:15 +0100

samba (2:4.1.3+dfsg-2ubuntu5) trusty; urgency=medium

  * debian/smb.conf: comment back some of the "share definitions"
    options (including "valid users"). That was an Ubuntu diff and seems to
    have been dropped in the trusty merge. Those changes seem needed to
    get the usershare feature working (used by nautilus-share) (lp: #1261873)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Apr 2014 16:01:04 +0200

samba (2:4.1.3+dfsg-2ubuntu4) trusty; urgency=medium

  * SECURITY UPDATE: Password lockout not enforced for SAMR password
    changes
    - debian/patches/CVE-2013-4496.patch: refactor password lockout code in
      source3/auth/check_samsec.c,
      source3/rpc_server/samr/srv_samr_chgpasswd.c,
      source3/rpc_server/samr/srv_samr_nt.c,
      source3/smbd/lanman.c,
      source4/rpc_server/samr/samr_password.c,
      source4/torture/rpc/samr.c.
    - CVE-2013-4496
  * SECURITY UPDATE: smbcacls can remove a file or directory ACL by
    mistake
    - debian/patches/CVE-2013-6442.patch: handle existing ACL in
      source3/utils/smbcacls.c.
    - CVE-2013-6442
  * debian/patches/readline-ftbfs.patch: fix ftbfs with newer readline6.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Mar 2014 08:32:30 -0400

samba (2:4.1.3+dfsg-2ubuntu3) trusty; urgency=medium

  * Depend on tdb-tools (LP: #1279593)
  * Updated generated config for Bind9.9.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 12 Feb 2014 21:26:00 -0500

samba (2:4.1.3+dfsg-2ubuntu2) trusty; urgency=medium

  * Add missing python-ntdb dependency to python-samba (spotted by
    autopkgtest).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Feb 2014 09:53:01 +0100

samba (2:4.1.3+dfsg-2ubuntu1) trusty; urgency=low

  * Merge from Debian Unstable:


=== debian/changelog ===
dpkg (1.17.5ubuntu5.2) trusty-security; urgency=medium

  * SECURITY UPDATE: directory traversal in dpkg-source
    - scripts/Dpkg/Source/Patch.pm: outright reject C-style filenames in
      patches
    - a12eb58959d0a10584a428f4a3103a49204c410f
    - CVE-2014-0471

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 May 2014 07:59:19 -0400

dpkg (1.17.5ubuntu5.1) trusty-security; urgency=medium

  * SECURITY UPDATE: directory traversal in dpkg-source
    - scripts/Dpkg/Source/Patch.pm: correctly parse C-style diff
      filenames.
    - Patch thanks to Guillem Jover <guillem@debian.org>
    - CVE-2014-0471

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Apr 2014 19:46:35 -0400

dpkg (1.17.5ubuntu5) trusty; urgency=medium

  * Allow -fstack-protector on arm64 now that GCC and glibc support it.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Mar 2014 18:47:57 +0800

dpkg (1.17.5ubuntu4) trusty; urgency=medium

  * Update the ppc64 buildflags vendor overrides for ppc64el instead, and
    make the implementation respect DEB_BUILD_OPTIONS=noopt (LP: #1279128)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Feb 2014 18:49:27 -0700

dpkg (1.17.5ubuntu3) trusty; urgency=medium

  * Change native source version/format mismatch errors into warnings until
    the dust settles on Debian bug 737634 about revert or override options.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 05 Feb 2014 07:26:29 -0700

dpkg (1.17.5ubuntu2) trusty; urgency=medium

  * Backport patch from 1.17.6 to fix file descriptor leaks (LP: #1270132)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Jan 2014 11:01:47 -0700

dpkg (1.17.5ubuntu1) trusty; urgency=medium

  * Merge from Debian testing.  Remaining changes:
    - Change the multiarch downgrade version checks in prerm/postrm
      from 1.16.2 to 1.16.0~ to reflect when multiarch landed in Ubuntu.
    - Migrate dpkg multiarch conffile (and other multi-arch-related
      conf settings) to the new DB with dpkg --add-architecture, but
      keep a copy of the old conffile if it was modified.
    - Out of paranoia, keep an option handler for foreign-architecture
      that informs people that they need to scrub their config files
      and upgrade, on the off chance that the above migration fails
      for some reason (this mitigates the chances of leaving users with
      a dpkg that fails to run due to a broken config).
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.  This is useful for tools
      that hide the dpkg terminal by default and use apport for bug
      reporting with the untranslated error message.
    - Apply patch from Steve McIntyre to special-case armhf/armel ELF
      objects in Shlibs/Objdump.pm, so we don't get incorrect deps.
    - lib/dpkg/pkg-spec.c: map unqualified package names of multiarch-same
      packages to the native arch instead of throwing an error, so that we
      don't break on upgrade when there are unqualified names stored in
      dpkg's own trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, and to also do so on upgrades from pre-conffile
      Ubuntu versions, mimicking our previous behaviour with the conffile.
    - Apply a workaround from mvo to consider RC packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
 
 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Jan 2014 16:41:23 -0700

dpkg (1.17.5) unstable; urgency=low

  [ Guillem Jover ]
  * Switch non-tty output to be line buffered by default, and set it to fully
    buffered only for programs with precious and abundant output, not just
    progress reporting output (i.e. dpkg-query). This was causing out-of-order
    error and debug messages in relation to normal progress reporting, which
    could be very confusing. Regression introduced in dpkg 1.17.2.
  * Fix segfault in update-alternatives when adding or renaming slaves for
    an existing alternative. Regression introduced in dpkg 1.17.2.
    Closes: #731710
  * Fix dpkg-maintscript-helper symlink_to_dir and dir_to_symlink commands:
    - Always run postinst code regardless of prior-version, as the package
      might have been never configured before.
    - Be more strict when checking the expected state of paths.
    - Rename subcommand shell code to check-files-ownership.
    - Change dir_to_symlink switch code to use a staging empty directory,
      to avoid dpkg removing files from other packages, when removing the
      package old files during upgrade.
    - Bump minimal version in man page to 1.17.5.
    Closes: #731730
  * Mention gpg2 too as one of the default sign commands in dpkg-buildpackage.

  [ Updated dpkg translations ]
  * German (Sven Joachim).

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Thu, 12 Dec 2013 08:29:45 +0100

dpkg (1.17.4) unstable; urgency=low

  * Keep the diversions and statoverride database files open during dpkg
    runs, to avoid eager inode number reuse by the filesystem if these files
    get replaced multiple times in maintainer scripts, as we rely on the
    inode numbers being different when checking if the databases need to
    be reloaded. Regression introduced in 1.17.2. Closes: #731524
  * Add debug output to diversions and statoverride database loading code.
  * Reset the statoverrides information from the in-core database when
    reloading it from disk, otherwise removals in maintainer scripts will
    not be seen during the current dpkg run.
  * Get rid of dpkg-split global partqueue queue variable.
  * Use warningv() in dpkg instead of ad-hoc printing message when
    overriding with --force option.


=== control ===
Source: clonezilla
Section: admin
Priority: extra
Maintainer: Steven Shiau <steven@nchc.org.tw>
Uploaders: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep:
Standards-Version: 3.9.3
Homepage: http://clonezilla.org/

Package: clonezilla
Architecture: all
Depends: ${misc:Depends}, perl, bash (>= 4.0.0), wget, drbl (>= 2.9.4), partclone (>= 0.2.70), partimage (>= 0.6.7), ntfsprogs (>= 1.13.1) | ntfs-3g (>= 1:2012.1.15AR.1), udpcast
Recommends:
Suggests:
Description: Partition/disk cloning/imaging tool
 Clonezilla, based on DRBL, Partclone, and udpcast, allows you to do bare
 metal backup and recovery. Two types of Clonezilla are available,
 Clonezilla live and Clonezilla SE (Server Edition). Clonezilla live is
 suitable for single machine backup and restore. While Clonezilla SE is
 for massive deployment, it can clone many (40 plus!) computers simultaneously.
 .
 For more info, check http://clonezilla.org, http://clonezilla.nchc.org.tw.
